%{?scl:%scl_package perl-List-MoreUtils}

Name:		%{?scl_prefix}perl-List-MoreUtils
Version:	0.402
Release:	3%{?dist}
Summary:	Provide the stuff missing in List::Util
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/List-MoreUtils/
Source0:	http://search.cpan.org/CPAN/authors/id/R/RE/REHSACK/List-MoreUtils-%{version}.tar.gz
Patch0:		List-MoreUtils-0.402-provides.patch
# Module Build
BuildRequires:	%{?scl_prefix}perl >= 4:5.10.0
BuildRequires:	%{?scl_prefix}perl(base)
BuildRequires:	%{?scl_prefix}perl(Config)
BuildRequires:	%{?scl_prefix}perl(constant)
BuildRequires:	%{?scl_prefix}perl(ExtUtils::CBuilder)
BuildRequires:	%{?scl_prefix}perl(ExtUtils::MakeMaker) >= 6.75
BuildRequires:	%{?scl_prefix}perl(File::Basename)
BuildRequires:	%{?scl_prefix}perl(File::Copy)
BuildRequires:	%{?scl_prefix}perl(File::Path)
BuildRequires:	%{?scl_prefix}perl(File::Spec)
BuildRequires:	%{?scl_prefix}perl(File::Temp)
BuildRequires:	%{?scl_prefix}perl(IO::File)
BuildRequires:	%{?scl_prefix}perl(IO::Handle)
BuildRequires:	%{?scl_prefix}perl(lib)
BuildRequires:	%{?scl_prefix}perl(PerlIO)
BuildRequires:	%{?scl_prefix}perl(Scalar::Util)
BuildRequires:	%{?scl_prefix}perl(Text::ParseWords)
# Module Runtime
BuildRequires:	%{?scl_prefix}perl(Carp)
BuildRequires:	%{?scl_prefix}perl(Exporter::Tiny) >= 0.038
BuildRequires:	%{?scl_prefix}perl(strict)
BuildRequires:	%{?scl_prefix}perl(vars)
BuildRequires:	%{?scl_prefix}perl(warnings)
BuildRequires:	%{?scl_prefix}perl(XSLoader)
# Test Suite
BuildRequires:	%{?scl_prefix}perl(Cwd)
BuildRequires:	%{?scl_prefix}perl(Data::Dumper) >= 0.002
BuildRequires:	%{?scl_prefix}perl(Exporter)
BuildRequires:	%{?scl_prefix}perl(File::Find)
BuildRequires:	%{?scl_prefix}perl(File::Spec::Functions)
BuildRequires:	%{?scl_prefix}perl(FindBin)
BuildRequires:	%{?scl_prefix}perl(if)
BuildRequires:	%{?scl_prefix}perl(overload)
BuildRequires:	%{?scl_prefix}perl(parent)
BuildRequires:	%{?scl_prefix}perl(Storable)
BuildRequires:	%{?scl_prefix}perl(Test::Builder::Module)
BuildRequires:	%{?scl_prefix}perl(Test::More) >= 0.88
# Optional Tests
%if !%{defined perl_small}
BuildRequires:	%{?scl_prefix}perl(Test::LeakTrace)
%endif
# Runtime
Requires:	%{?scl_prefix}perl(:MODULE_COMPAT_%(%{?scl:scl enable %{scl} '}eval "$(perl -V:version)";echo $version%{?scl:'}))
Requires:	%{?scl_prefix}perl(Carp)

# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
List::MoreUtils provides some trivial but commonly needed functionality
on lists that is not going to go into List::Util.

%prep
%setup -q -n List-MoreUtils-%{version}

# Avoid unversioned provides
%patch0

%build
%{?scl:scl enable %{scl} '}perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" NO_PERLLOCAL=1 NO_PACKLIST=1 && make %{?_smp_mflags}%{?scl:'}

%install
%{?scl:scl enable %{scl} '}make install DESTDIR=%{buildroot}%{?scl:'}
find %{buildroot} -type f -name '*.bs' -empty -exec rm -f {} ';'
%{_fixperms} %{buildroot}

%check
%{?scl:scl enable %{scl} '}make test%{?scl:'}

%files
%doc Changes README
%{perl_vendorarch}/auto/List/
%{perl_vendorarch}/List/
%{_mandir}/man3/List::MoreUtils.3*
%{_mandir}/man3/List::MoreUtils::PP.3*
%{_mandir}/man3/List::MoreUtils::XS.3*

%changelog
* Tue Jan 27 2015 Petr Pisar <ppisar@redhat.com> - 0.402-3
- Do not use rhel macro to control dependencies

* Tue Jan 13 2015 Petr Pisar <ppisar@redhat.com> - 0.402-2
- Disable optional tests for small build root

* Wed Jan  7 2015 Paul Howarth <paul@city-fan.org> - 0.402-1
- Update to 0.402 (significant and slightly incompatible update - see Changes)
- This release by REHSACK → update source URL
- Classify buildreqs by usage
- Modernize spec as this isn't going to anywhere older than F-22

* Sun Sep 07 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.33-15
- Perl 5.20 re-rebuild of bootstrapped packages

* Fri Aug 29 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.33-14
- Perl 5.20 rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.33-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.33-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Aug 14 2013 Jitka Plesnikova <jplesnik@redhat.com> - 0.33-11
- Perl 5.18 re-rebuild of bootstrapped packages

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.33-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jul 26 2013 Petr Pisar <ppisar@redhat.com> - 0.33-9
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.33-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Oct 17 2012 Paul Howarth <paul@city-fan.org> - 0.33-7
- BR:/R: perl(Carp)
- BR: perl(constant), perl(Exporter) and perl(ExtUtils::CBuilder)
- Add commentary regarding non-use of Test::LeakTrace for EL-7 builds
- Use Test::LeakTrace for EL-5 builds
- Drop support for EL-4 builds since it was EOL-ed ages ago
- Drop %%defattr, redundant since rpm 4.4
- Don't need to remove empty directories from the buildroot
- Remove more command macros

* Mon Oct 15 2012 Petr Pisar <ppisar@redhat.com> - 0.33-6
- Do not build-require Test::LeakTrace on RHEL 7

* Fri Jul 27 2012 Tom Callaway <spot@fedoraproject.org> - 0.33-5
- Add epel filtering mechanism

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.33-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jul 10 2012 Petr Pisar <ppisar@redhat.com> - 0.33-3
- Perl 5.16 re-rebuild of bootstrapped packages

* Tue Jun 19 2012 Petr Pisar <ppisar@redhat.com> - 0.33-2
- Perl 5.16 rebuild

* Tue Jan 24 2012 Paul Howarth <paul@city-fan.org> - 0.33-1
- Update to 0.33
  - Updated can_xs to fix a bug in it
- Reinstate compatibility with old distributions like EL-5
- Drop Test::More version requirement to 0.42
- BR: perl(ExtUtils::MakeMaker)
- BR: perl(Test::LeakTrace) except on EL-4/EL-5 where it's not available
- BR: perl(Pod::Simple), perl(Test::CPAN::Meta), perl(Test::MinimumVersion)
  (if we're not bootstrapping) and perl(Test::Pod), and run the developer tests
  too
- Don't use macros for commands
- Use %%{_fixperms} macro rather than our own chmod incantation
- Make %%files list more specific
- Use tabs

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.32-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jul 18 2011 Petr Sabata <contyk@redhat.com> - 0.32-3
- Perl mass rebuild

* Tue Jul 12 2011 Tom Callaway <spot@fedoraproject.org> - 0.32-2
- Rebuild to fix broken rawhide deps

* Sat Jul 02 2011 Iain Arnell <iarnell@gmail.com> - 0.32-1
- Update to latest upstream version

* Fri Jun 17 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.30-3
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.30-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 03 2011 Iain Arnell <iarnell@gmail.com> - 0.30-1
- Update to latest upstream version
- Clean up spec for modern rpmbuild
- Use perl_default_filter
- Remove unnecessary buildrequires

* Mon Dec 20 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.22-12
- Rebuild to fix problems with vendorarch/lib (#661697)

* Mon May 03 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.22-11
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.22-10
- Rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.22-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.22-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.22-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 28 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.22-6
- Rebuild normally, second pass

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.22-5
- Rebuild for perl 5.10 (again), tests disabled for first pass

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.22-4
- Autorebuild for GCC 4.3

* Mon Jan 14 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.22-3
- Rebuild normally, second pass

* Fri Jan 11 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.22-2.1
- Rebuild for new perl, first pass, disable TPC and tests

* Sun Sep 10 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.22-2
- Rebuild for FC6

* Mon Jul  3 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.22-1
- Update to 0.22

* Mon Jun 19 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.21-1
- Update to 0.21

* Sat Jun 10 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.20-1
- Update to 0.20

* Sat Apr 22 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.19-1
- First build
